using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Role;

namespace WingInterfaceLibrary.DTO.Management
{
    /// <summary>
    /// 管理员信息
    /// </summary>
    public class AdminInfoDTO : BaseDTO
    {
        /// <summary>
        /// 管理员编码
        /// </summary>
        public string AdminCode { get; set; }

        /// <summary>
        /// 对应父级管理员编码
        /// </summary>
        public string FatherCode { get; set; }

        /// <summary>
        /// 管理员名称
        /// </summary>
        public string AdminName { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string FullName { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string SecretPassword { get; set; }

        /// <summary>
        /// 头像url地址
        /// </summary>
        public string HeadImageToken { get; set; }

        /// <summary>
        /// 管理授权码
        /// </summary>
        public string LicenseKey { get; set; }

        /// <summary>
        /// 最后登录IP地址
        /// </summary>
        public string LastIP { get; set; }

        /// <summary>
        /// 管理员联系电话
        /// </summary>
        public string Phone { get; set; }

        /// <summary>
        /// 管理员邮箱
        /// </summary>
        public string Email { get; set; }

        /// <summary>
        /// 后台角色列表
        /// </summary>
        /// <value></value>
        public List<string> RoleCodes { get; set; } = new List<string>();
    }

    /// <summary>
    /// 管理员扩展信息
    /// </summary>
    public class AdminExtendInfoDTO : AdminInfoDTO
    {
        /// <summary>
        /// 后台角色名称列表
        /// </summary>
        /// <value></value>
        public List<string> RoleNames { get; set; } = new List<string>();

        /// <summary>
        /// 后台默认角色编码
        /// </summary>
        /// <value></value>
        public string DefaultRoleCode { get; set; }

        /// <summary>
        /// 后台默认角色名称
        /// </summary>
        /// <value></value>
        public string DefaultRoleName { get; set; }
    }
}