namespace WingInterfaceLibrary.Enum.NotificationEnum
{
    /// <summary>
    /// 通知消息枚举类型
    /// </summary>
    /// <remarks>名称|代码 | 文件类型描述</remarks>
    public enum NotificationTypeEnum
    {
        /// <summary>
        /// ChatMsgNotification|1| 聊天通知
        /// </summary>
        ChatMsgNotification = 1,

        /// <summary>
        /// UpgradeVersionNotification|2| 版本更新通知
        /// </summary>
        UpgradeVersionNotification = 2,

        /// <summary>
        /// TokenReplacedNotification|3| 账号被替换登出通知
        /// </summary>
        TokenReplacedNotification = 3,

        /// <summary>
        /// DisconnectNotification| 4|与服务器断开连接通知
        /// </summary>
        DisconnectNotification = 4,

         /// <summary>
        /// ConnectionNotification| 5|	与服务器已连接通知
        /// </summary>
        ConnectionNotification = 5,


        /// <summary>
        ///ExamRecordsFinishedNotification| 6 | 检查记录完成消息类型
        /// </summary>
        ExamRecordsFinishedNotification = 6,

        /// <summary>
        ///InvitedEnterRoomNotification| 7 | 邀请用户加入房间通知
        /// </summary>
        InvitedEnterRoomNotification = 7,

        /// <summary>
        ///CancelInvitedEnterRoomNotification| 8 |取消邀请用户通知
        /// </summary>
        CancelInvitedEnterRoomNotification = 8,

        /// <summary>
        ///RejectedInvitedEnterRoomNotification| 9 | 检查记录完成消息类型
        /// </summary>
        RejectedInvitedEnterRoomNotification = 9,

        /// <summary>
        ///TimeoutInvitedEnterRoomNotification| 10 | 超时邀请用户通知
        /// </summary>
        TimeoutInvitedEnterRoomNotification = 10,

        /// <summary>
        ///RemoteUserEnterRoomNotification| 11 | 其他用户加入房间通知
        /// </summary>
        RemoteUserEnterRoomNotification = 11,

        /// <summary>
        ///RemoteUserLeaveRoomNotification| 12 | 其他成员离开房间通知
        /// </summary>
        RemoteUserLeaveRoomNotification = 12,

        /// <summary>
        ///PushStatueNotification| 13 | 推流状态变化更新通知
        /// </summary>
        PushStatueNotification = 13,

        /// <summary>
        ///DismissRoomNotification| 14 | 	解散房间通知
        /// </summary>
        DismissRoomNotification = 14,
        
        /// <summary>
        ///RecordStreamStatusNotification| 15 | 云端录制状态通知
        /// </summary>
        RecordStreamStatusNotification = 15,

        /// <summary>
        ///StartShareStreamNotification| 16 | 开启屏幕分享通知
        /// </summary>
        StartShareStreamNotification = 16,

        /// <summary>
        ///StopShareStreamNotification| 17 | 停止屏幕分享通知
        /// </summary>
        StopShareStreamNotification = 17,

        /// <summary>
        ///TrainingStatueNotification| 18 | 培训状态更新通知
        /// </summary>
        TrainingStatueNotification = 18,

        /// <summary>
        ///CreateRoomNotification| 19 | 下发创建房间通知
        /// </summary>
        CreateRoomNotification = 19,

    }
}