﻿using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.Management;
using WingInterfaceLibrary.Result;
using WingInterfaceLibrary.Request.Management;
using WingInterfaceLibrary.DTO.ReportTemplate;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public partial interface IAdminDBService
    {
        Task<string> InsertAdminAsync(CreateAdminDBRequest request);
        Task<AdminInfoDTO> FindAdminByNameAsync(string name);
        /// <summary>模糊查询管理员集合</summary>
        /// <param name="name"></param>
        /// <returns></returns>
        Task<List<AdminInfoDTO>> FindAdminsByNameAsync(string name);
        Task<AdminInfoDTO> FindAdminByCodeAsync(string code);
        Task<PageResult<AdminInfoDTO>> FindAdminPagesAsync(GetAdminPagesRequest request);
        Task<bool> DeleteAdminByCodeAsync(string code);
        Task<bool> UpdateAdminByCodeAsync(string code, AdminInfoDTO data, string extensionData);
        Task<List<AdminInfoDTO>> FindAdminListByRoleCodeAsync(string roleCode);

        Task<List<AdminInfoDTO>> FindAdminListByRoleCodesAsync(List<string> roleCodes);

        /// <summary>
        /// 根据管理员编码列表获取所有管理员信息
        /// </summary>
        /// <param name="adminCodes">管理员编码列表</param>
        /// <returns>是否成功</returns>  
        Task<List<AdminInfoDTO>> FindAdminListByAdminCodesAsync(List<string> adminCodes);

        /// <summary>
        /// 修改管理员密码
        /// </summary>
        /// <param name="code">管理员code</param>
        /// <param name="newPassword">新密码</param>
        /// <returns></returns>
        Task<bool> ModifyAdminPasswordAsync(string code, string newPassword);
    }
}
