using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.Consultation;
using WingInterfaceLibrary.Request.DBRequest;
using WingInterfaceLibrary.Result;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 会诊记录DB接口
    /// </summary>
    public interface IConsultationRecordDBService
    {
        /// <summary>
        /// 新增会诊记录
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> InsertConsultationRecordAsync(CreateConsultationRecordDBRequest request);
        /// <summary>
        /// 查询会诊记录
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<ConsultationDetailDTO> FindConsultationRecordByCodeAsync(ConsultationRecordCodeDBRequest request);
        /// <summary>
        /// 查询会诊记录分页
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PageResult<ConsultationDetailDTO>> FindConsultationRecordPagesAsync(GetConsultationRecordPagesDBRequest request);
        /// <summary>
        /// 删除会诊记录
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> DeleteConsultationRecordByCodeAsync(ConsultationRecordCodeDBRequest request);
        /// <summary>
        /// 更新会诊记录
        /// </summary>
        /// <param name="data"></param>
        /// <param name="canNull"></param>
        /// <returns></returns>
        Task<bool> UpdateConsultationRecordAsync(ConsultationDetailDTO data, bool canNull = false); 
    }
}