﻿using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Region;
using WingInterfaceLibrary.Request.User;

namespace WingInterfaceLibrary.Interface
{
    /// <summary>
    /// 国家地区服务接口
    /// </summary>
    /// <value>个人信息接口</value>
    /// <example>客户端API</example>
    [System.ComponentModel.Description("WingUserModule")]
    public interface IRegionService
    {
        /// <summary>
        /// 获取地区信息
        /// </summary>
        /// <param name="request">地区信息请求实体</param>
        /// <returns>地区信息</returns>
        /// <value></value>
        /// <remarks>POST</remarks>
        Task<RegionDTO> GetRegionsAsync(GetRegionsRequest request);
    }
}
