using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.LiveConsultation
{
    public class AcceptLiveConsultationRequest : TokenRequest
    {    
        /// <summary>
        /// The diagnosis metting room No.
        /// </summary>
        /// <value></value>
        public string RoomCode {get;set;}            
    }

    public class AcceptLiveConsultationResult
    {        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    public class AcceptLiveConsultationNotification
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The info of who accept the diagnosis metting invitation
        /// </summary>
        /// <value></value>
        public LiveConsultatioAccepterInfo Accepter {get;set;}
    }
}
