using WingInterfaceLibrary.Request;
using System.Collections.Generic;

namespace WingInterfaceLibrary.LiveConsultation
{
    public class InitiateLiveConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        /// <summary>
        /// User id or device id
        /// </summary>
        /// <value></value>
        public IList<string> OtherIds {get; set;}
    }

    public class InitiateLiveConsultationResult
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The video protocol, Rtmp for Rtc
        /// </summary>
        /// <value></value>
        public VideoProtocol Protocol {get;set;}

        /// <summary>
        /// Room No. 
        /// </summary>
        /// <value></value>
        public int RoomNo {get;set;}

        public IList<LiveConsultationMemeber> UserLiveDatas  {get;set;}        

        public IList<LiveConsultationMemeber> DeviceLiveDatas {get;set;}
    }

    public class InviteLiveConsultationNotification
    {
        /// <summary>
        /// The video protocol, Rtmp for Rtc
        /// </summary>
        /// <value></value>
        public VideoProtocol Protocol {get;set;}

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// Room integer No 
        /// </summary>
        /// <value></value>
        public int RoomNo {get;set;}
        
        /// <summary>
        /// The diagonosis meeting initiator
        /// </summary>
        /// <value></value>
        public LiveConsultationMemeber Initiator {get;set;}

        public IList<LiveConsultationMemeber> UserLiveDatas  {get;set;}        

        public IList<LiveConsultationMemeber> DeviceLiveDatas {get;set;}
    }

}
