﻿using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System;
using WingInterfaceLibrary.Interface;
using WingInterfaceLibrary.Request.Authentication;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.LiveConsultation
{      

    public class LiveConsultationRoomDTO 
    {        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;        
        public LiveConsultationMemeber Initiator { get; }
        public IList<LiveConsultationMemeber> Members { get; }
        public IList<LiveConsultationMemeber> Devices { get; }

        /// <summary>
        /// The diagnosis room status
        /// </summary>
        /// <value></value>
        public LiveConsultationRoomStatus Status{get;set;}
        
        /// <summary>
        /// The diagnosis room No
        /// </summary>
        /// <value></value>
        public int RoomNo { get; }

        public LiveConsultationRoomDTO(int roomNo, LiveConsultationMemeber initiator, IList<LiveConsultationMemeber> members, IList<LiveConsultationMemeber> devices)
        {
            RoomNo = roomNo;
            Initiator = initiator;
            Members = members;
            Devices = devices;
        }
       

       

        
                   
    }
}
