using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.LiveConsultation
{
    public class RejectLiveConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The id of who reject the diagnosis metting invitation
        /// </summary>
        /// <value></value>
        public string RejecterId {get;set;}
    }

    public class RejectLiveConsultationResult
    {        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    public class RejectLiveConsultationNotification
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The info of who reject the diagnosis metting invitation
        /// </summary>
        /// <value></value>
        public LiveConsultatioRejecterInfo Rejecter {get;set;}
    }
}
