using System.Threading.Tasks;
using System.Collections.Generic;

namespace WingInterfaceLibrary.OpLog
{
    public interface IMasterInteractionCenterService
    {
        /// <summary>
        /// Get OpLog from master server
        /// </summary>
        /// <param name="request">The request args</param>
        /// <returns>Op log list</returns>
        /// <show>false</show>
        Task<List<OperationLogDTO>> GetOpLogsFromMasterAsync(GetOpLogsFormMasterRequest request);
            

        /// <summary>
        /// Sychronize OpLog to master server
        /// </summary>
        /// <param name="request">The request args</param>
        /// <returns>True or false</returns>
        /// <show>false</show>
        Task<bool> SyncOpLogToMasterAsync(SyncOpLogToMasterRequest request);              
    }
}