using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;

namespace WingInterfaceLibrary.Request.Comment
{
    /// <summary>
    /// 保存用户自定义应用注释项请求
    /// </summary>
    public class SaveUserDefinedCommentsRequest : TokenRequest
    {
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value>1.0.0.0</value>
        public string Version { get; set; }
        /// <summary>
        /// 请求语言code
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
        /// <summary>
        /// 应用名称
        /// </summary>
        /// <value>Abdo Diff</value>
        public string ApplicationName { get; set; }
        /// <summary>
        /// 分类名称
        /// </summary>
        /// <value>ABD</value>
        public string CategoryName { get; set; }
        /// <summary>
        /// 新增注释内容
        /// </summary>
        /// <value></value>
        public List<CommentItemDTO> AddCommentItems { get; set; }

        /// <summary>
        /// 删除注释内容
        /// </summary>
        /// <value></value>
        public List<CommentItemDTO> DeletedCommentItems { get; set; }

        /// <summary>
        /// 编辑更新注释内容
        /// </summary>
        /// <value></value>
        public List<UpdateCommentItemDTO> UpdateCommentItems { get; set; }
    }
}