using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;

namespace WingInterfaceLibrary.Request.Consultation
{
    /// <summary>
    /// 申请会诊请求实体
    /// </summary>
    public class ApplyConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊专家编码
        /// </summary>
        /// <value>UserDO_123456789</value>
        public string ExpertUserCode { get; set; } = string.Empty;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>DeviceDO_123456789</value>
        public string DeviceCode { get; set; } = string.Empty;

        /// <summary>
        /// 检查部位
        /// </summary>
        /// <value>肝脏</value>
        public string ScanPosition { get; set; } = string.Empty;

        /// <summary>
        /// 会诊时间
        /// </summary>
        /// <value>2022-09-30 14:00:00</value>
        public DateTime ConsultationTime { get; set; } = DateTime.UtcNow.Date;

        /// <summary>
        /// 病人信息
        /// </summary>
        /// <value></value>
        public IList<DataItemDTO> PatientDatas { get; set; } = new List<DataItemDTO>();


        /// <summary>
        /// 病人编码
        /// </summary>
        /// <value>PatientDO_123456789</value>
        /// <code>0</code>
        public string PatientCode { get; set; }

    }
}