using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Consultation
{
    /// <summary>
    /// 分页查询会诊记录请求实体
    /// </summary>
    public class FindConsultationByPageRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>马丽</value>
        /// <code>0</code>
        public string Keyword { get; set; } = string.Empty;

        /// <summary>
        /// 申请医院集合
        /// </summary>
        /// <value></value>
        public IList<string> ApplyOrganizationCodes { get; set; } = new List<string>();

        /// <summary>
        /// 会诊医院集合
        /// </summary>
        /// <value></value>
        public IList<string> ExpertOrganizationCodes { get; set; } = new List<string>();

        /// <summary>
        /// 会诊日期，起
        /// </summary>
        /// <value>2022-08-27</value>
        public DateTime StartDate { get; set; }

        /// <summary>
        /// 会诊日期，止
        /// </summary>
        /// <value>2022-08-27</value>
        public DateTime EndDate { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        /// <value></value>
        public IList<ConsultationStatusEnum> ConsultationStatus { get; set; } = new List<ConsultationStatusEnum>();
    }
}