using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Result.Record
{
    /// <summary>
    /// 扫查数据响应实体
    /// </summary>
    public class RemedicalListResult
    {
        /// <summary>
        /// 扫查日期
        /// </summary>
        /// <value>2022-2-2</value>
        public string ScanDate { get; set; }

        /// <summary>
        /// 扫查编码
        /// </summary>
        /// <value>xx999</value>
        public string RecordCode { get; set; }

        /// <summary>
        /// 扫查项列表
        /// </summary>
        public List<RemedicalItemList> RemedicalItemList { get; set; } = new List<RemedicalItemList>();
    }

    /// <summary>
    /// 扫查项数据响应实体
    /// </summary>
    public class RemedicalItemList
    {
        /// <summary>
        /// 扫查类型描述
        /// </summary>
        /// <value>腹部常规</value>
        public string PatientScanTypeDesc { get; set; }

        /// <summary>
        /// 扫查类型
        /// </summary>
        /// <value>["Routine","Obstetrics"]</value>
        public List<string> PatientScanTypeList { get; set; } = new List<string>();

        /// <summary>
        /// 扫查部位
        /// </summary>
        /// <value>腹部</value>
        public string Application { get; set; } = string.Empty;

        /// <summary>
        /// 扫查数据编码
        /// </summary>
        public List<RemedicalInfoDTO> RemedicalList { get; set; } = new List<RemedicalInfoDTO>();
    }
}